# frozen_string_literal: true

require_relative "lib/rails/tc/version"

Gem::Specification.new do |spec|
  spec.name          = "rails-tc"
  spec.version       = Rails::Tc::VERSION
  spec.authors       = ["Oskar Kirmis"]
  spec.email         = ["oskar.kirmis@posteo.de"]

  spec.summary       = "Type checking package for Rails using sorbet, tapioca and some magic to hide external errors."
  spec.description   = "rails-tc bundles everything required to properly setup type checking with sorbet in rails projects"
  spec.homepage      = "https://git.iftrue.de/okirmis/rails-tc"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.6.0"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
